package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability591/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaNewretailPurchasePriceDeleteRequest struct {
	/*
	   调用入参     */
	DeletePurchasePriceRequest *domain.AlibabaNewretailPurchasePriceDeleteDeletePurchasePriceRequest `json:"delete_purchase_price_request" required:"true" `
}

func (s *AlibabaNewretailPurchasePriceDeleteRequest) SetDeletePurchasePriceRequest(v domain.AlibabaNewretailPurchasePriceDeleteDeletePurchasePriceRequest) *AlibabaNewretailPurchasePriceDeleteRequest {
	s.DeletePurchasePriceRequest = &v
	return s
}

func (req *AlibabaNewretailPurchasePriceDeleteRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.DeletePurchasePriceRequest != nil {
		paramMap["delete_purchase_price_request"] = util.ConvertStruct(*req.DeletePurchasePriceRequest)
	}
	return paramMap
}

func (req *AlibabaNewretailPurchasePriceDeleteRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
